hpiwdt(1)

NAME
hpiwdt - This sample openhpi application reads and enables the watchdog timer.

SYNOPSIS
 hpiwdt [-D nn] [-N host[:port]] [-C <cfgfile>] [-t sec] [-X] [-h]
 hpiwdt [--domain=nn] [--host=host[:port]] [--cfgfile=file]
        [--disable][--enable][--reset][--timeout n] [--debug] [--help]

DESCRIPTION
hpiwdt reads and enables the watchdog timer.

If no domain or host is selected, hpiwdt uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-e, --enable
    Enables the watchdog timer

-d, --disable
    Disables the watchdog timer

-r, --reset
    Resets the watchdog timer

-t sec, --timeout=sec
    Sets timeout to sec seconds

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpipower       hpithres
         hpidomain      hpigensimdata  hpireset       hpitop
         hpiel          hpiiinv        hpisensor      hpitree
         hpievents      hpionIBMblade  hpisettime     hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)